> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Create a locale-based bulk action POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/bulk_actions Content-Type: application/vnd.contentful.management.v1+json Reference: https://contentful.com/developers/docs/references/content-management-api/bulk-actions/create-a-locale-based-bulk-action ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space as a string - `environment_id` (string, required) — ID of the environment as a string, falls back to `master` if not specified. ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 200 OK - Request successful - `map from string to any` ## Examples ### Publish entities **Request** ```json { "action": "publish", "entities": [ { "add": { "fields": { "*": [ "en-US" ] } }, "entity": { "sys": { "id": "", "linkType": "", "type": "Link", "version": "10" } } } ] } ``` **Response** ```json { "action": "publish", "error": { "sys": { "id": "", "type": "Error" } }, "payload": { "action": "publish", "entities": [ { "add": { "fields": { "*": [ "en-US" ] } }, "entity": { "sys": { "id": "", "linkType": "", "type": "Link", "version": "10" } } } ] }, "sys": { "createdAt": "2026-02-26T22:19:00.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "type": "Link" } }, "id": "", "space": { "sys": { "id": "yadj1kx9rmg0", "type": "Link" } }, "status": "", "type": "BulkAction", "updatedAt": "2026-05-11T05:41:00.000Z" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) // Locale-based publishing is only available via Plain Client ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const bulkAction = await client.bulkAction.publishV2( { spaceId: '', environmentId: '', }, { { // To perform the whole entity publish, just omit the 'add' property in entity objects. action: 'publish', entities: [ { entity: { { sys: { linkType: 'Entry', type: 'Link', id: '', version: 2, }, }, }, add: { fields: { '*': ['en-US'] } }, }, { entity: { { sys: { linkType: 'Asset', type: 'Link', id: '', version: 1, }, }, }, add: { fields: { '*': ['en-US'] } }, }, ], } } ); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ``` ### Unpublish entities **Request** ```json { "action": "unpublish", "entities": [ { "entity": { "sys": { "id": "", "linkType": "", "type": "Link", "version": "10" } }, "remove": { "fields": { "*": [ "en-US" ] } } } ] } ``` **Response** ```json { "action": "publish", "error": { "sys": { "id": "", "type": "Error" } }, "payload": { "action": "publish", "entities": [ { "entity": { "sys": { "id": "", "linkType": "", "type": "Link", "version": "10" } }, "remove": { "fields": { "*": [ "en-US" ] } } } ] }, "sys": { "createdAt": "2025-08-23T23:19:41.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "type": "Link" } }, "id": "", "space": { "sys": { "id": "yadj1kx9rmg0", "type": "Link" } }, "status": "", "type": "BulkAction", "updatedAt": "2025-10-27T08:38:25.000Z" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) // Locale-based publishing is only available via Plain Client ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const bulkAction = await client.bulkAction.publishV2( { spaceId: '', environmentId: '', }, { { // To perform the whole entity publish, just omit the 'add' property in entity objects. action: 'publish', entities: [ { entity: { { sys: { linkType: 'Entry', type: 'Link', id: '', version: 2, }, }, }, add: { fields: { '*': ['en-US'] } }, }, { entity: { { sys: { linkType: 'Asset', type: 'Link', id: '', version: 1, }, }, }, add: { fields: { '*': ['en-US'] } }, }, ], } } ); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ``` ### Validate entities **Request** ```json { "action": "validate", "entities": [ { "add": { "fields": { "*": [ "en-US" ] } }, "entity": { "sys": { "id": "", "linkType": "", "type": "Link", "version": "10" } } } ] } ``` **Response** ```json { "action": "validate", "error": { "sys": { "id": "", "type": "Error" } }, "payload": { "action": "validate", "entities": [ { "add": { "fields": { "*": [ "en-US" ] } }, "entity": { "sys": { "id": "", "linkType": "", "type": "Link", "version": "10" } } } ] }, "sys": { "createdAt": "2026-02-15T20:10:09.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "type": "Link" } }, "id": "", "space": { "sys": { "id": "yadj1kx9rmg0", "type": "Link" } }, "status": "", "type": "BulkAction", "updatedAt": "2026-02-21T14:23:53.000Z" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) // Locale-based publishing is only available via Plain Client ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const bulkAction = await client.bulkAction.publishV2( { spaceId: '', environmentId: '', }, { { // To perform the whole entity publish, just omit the 'add' property in entity objects. action: 'publish', entities: [ { entity: { { sys: { linkType: 'Entry', type: 'Link', id: '', version: 2, }, }, }, add: { fields: { '*': ['en-US'] } }, }, { entity: { { sys: { linkType: 'Asset', type: 'Link', id: '', version: 1, }, }, }, add: { fields: { '*': ['en-US'] } }, }, ], } } ); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```